package com.bonus.canteen.core.nutrition.common.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("health_body_record")
@ApiModel("体征数据记录表 实体类")
public class HealthBodyRecordVo {
   @TableField("cust_id")
   @ApiModelProperty("人员id")
   private Long custId;
   @TableField("height")
   @ApiModelProperty("身高")
   private BigDecimal height;
   @TableField("weight")
   @ApiModelProperty("体重")
   private BigDecimal weight;
   @TableField("bmi")
   @ApiModelProperty("BMI指数")
   private BigDecimal bmi;
   @TableField("shape")
   @ApiModelProperty("体型")
   private String shape;
   @TableField("bust")
   @ApiModelProperty("胸围")
   private BigDecimal bust;
   @TableField("waistline")
   @ApiModelProperty("腰围")
   private BigDecimal waistline;
   @TableField("blood_sugar")
   @ApiModelProperty("血糖")
   private BigDecimal bloodSugar;
   @TableField("blood_fat")
   @ApiModelProperty("血脂")
   private Integer bloodFat;
   @TableField("blood_pressure_high")
   @ApiModelProperty("血压高")
   private BigDecimal bloodPressureHigh;
   @TableField("blood_pressure_low")
   @ApiModelProperty("血压低")
   private BigDecimal bloodPressureLow;
   @TableField("heart_rate")
   @ApiModelProperty("心率")
   private BigDecimal heartRate;
   @TableField("blood_oxygen")
   @ApiModelProperty("血氧")
   private BigDecimal bloodOxygen;
   @TableField("uric_acid")
   @ApiModelProperty("尿酸")
   private Integer uricAcid;
   @TableField("blood_pressure")
   @ApiModelProperty("血压")
   private Integer bloodPressure;
   @TableField("if_latest")
   @ApiModelProperty("是否最新 1-是 2-否")
   private Integer ifLatest;
   @TableField("health_info_source")
   @ApiModelProperty("健康信息录入来源 1-系统录入 2-身高体重秤")
   private Integer healthInfoSource;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;

   public Long getCustId() {
      return this.custId;
   }

   public BigDecimal getHeight() {
      return this.height;
   }

   public BigDecimal getWeight() {
      return this.weight;
   }

   public BigDecimal getBmi() {
      return this.bmi;
   }

   public String getShape() {
      return this.shape;
   }

   public BigDecimal getBust() {
      return this.bust;
   }

   public BigDecimal getWaistline() {
      return this.waistline;
   }

   public BigDecimal getBloodSugar() {
      return this.bloodSugar;
   }

   public Integer getBloodFat() {
      return this.bloodFat;
   }

   public BigDecimal getBloodPressureHigh() {
      return this.bloodPressureHigh;
   }

   public BigDecimal getBloodPressureLow() {
      return this.bloodPressureLow;
   }

   public BigDecimal getHeartRate() {
      return this.heartRate;
   }

   public BigDecimal getBloodOxygen() {
      return this.bloodOxygen;
   }

   public Integer getUricAcid() {
      return this.uricAcid;
   }

   public Integer getBloodPressure() {
      return this.bloodPressure;
   }

   public Integer getIfLatest() {
      return this.ifLatest;
   }

   public Integer getHealthInfoSource() {
      return this.healthInfoSource;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public HealthBodyRecordVo setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public HealthBodyRecordVo setHeight(final BigDecimal height) {
      this.height = height;
      return this;
   }

   public HealthBodyRecordVo setWeight(final BigDecimal weight) {
      this.weight = weight;
      return this;
   }

   public HealthBodyRecordVo setBmi(final BigDecimal bmi) {
      this.bmi = bmi;
      return this;
   }

   public HealthBodyRecordVo setShape(final String shape) {
      this.shape = shape;
      return this;
   }

   public HealthBodyRecordVo setBust(final BigDecimal bust) {
      this.bust = bust;
      return this;
   }

   public HealthBodyRecordVo setWaistline(final BigDecimal waistline) {
      this.waistline = waistline;
      return this;
   }

   public HealthBodyRecordVo setBloodSugar(final BigDecimal bloodSugar) {
      this.bloodSugar = bloodSugar;
      return this;
   }

   public HealthBodyRecordVo setBloodFat(final Integer bloodFat) {
      this.bloodFat = bloodFat;
      return this;
   }

   public HealthBodyRecordVo setBloodPressureHigh(final BigDecimal bloodPressureHigh) {
      this.bloodPressureHigh = bloodPressureHigh;
      return this;
   }

   public HealthBodyRecordVo setBloodPressureLow(final BigDecimal bloodPressureLow) {
      this.bloodPressureLow = bloodPressureLow;
      return this;
   }

   public HealthBodyRecordVo setHeartRate(final BigDecimal heartRate) {
      this.heartRate = heartRate;
      return this;
   }

   public HealthBodyRecordVo setBloodOxygen(final BigDecimal bloodOxygen) {
      this.bloodOxygen = bloodOxygen;
      return this;
   }

   public HealthBodyRecordVo setUricAcid(final Integer uricAcid) {
      this.uricAcid = uricAcid;
      return this;
   }

   public HealthBodyRecordVo setBloodPressure(final Integer bloodPressure) {
      this.bloodPressure = bloodPressure;
      return this;
   }

   public HealthBodyRecordVo setIfLatest(final Integer ifLatest) {
      this.ifLatest = ifLatest;
      return this;
   }

   public HealthBodyRecordVo setHealthInfoSource(final Integer healthInfoSource) {
      this.healthInfoSource = healthInfoSource;
      return this;
   }

   public HealthBodyRecordVo setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }
}
